Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.io
Class MultiInputSplit

    java.lang.Object
      cascading.tap.hadoop.io.MultiInputSplit

All Implemented Interfaces:
  Writable, InputSplit, JobConfigurable

    public class MultiInputSplit

extends Object
implements InputSplit, JobConfigurable

Class MultiInputSplit is used by MultiInputFormat

Field Summary
`static String` | `CASCADING_SOURCE_PATH`

Constructor Summary
`MultiInputSplit()` This constructor is used internally by Hadoop.
`MultiInputSplit(InputSplit inputSplit, Map<String,String> config)`

Method Summary
`void` | `configure(JobConf jobConf)`
`static String` | `getCurrentTapSourcePath(JobConf jobConf)` Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.
`long` | `getLength()`
`String[]` | `getLocations()`
`InputSplit` | `getWrappedInputSplit()`
`void` | `readFields(DataInput in)`
`void` | `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CASCADING_SOURCE_PATH

    public static final String CASCADING_SOURCE_PATH

See Also:
  Constant Field Values

Constructor Detail

### MultiInputSplit

    public MultiInputSplit(InputSplit inputSplit,
                           Map<String,String> config)

### MultiInputSplit

    public MultiInputSplit()

  This constructor is used internally by Hadoop. it is expected `configure(org.apache.hadoop.mapred.JobConf)` and `readFields(java.io.DataInput)` are called to properly initialize.

Method Detail

### getCurrentTapSourcePath

    public static String getCurrentTapSourcePath(JobConf jobConf)

  Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.

  Use this method inside an Operation to find the current file being processed.

  Parameters:
    `jobConf` -
  Returns:
    a String

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

### getLength

    public long getLength()
                   throws IOException

  Specified by:
    `getLength` in interface `InputSplit`
  Throws:
    `IOException`

### getLocations

    public String[] getLocations()
                          throws IOException

  Specified by:
    `getLocations` in interface `InputSplit`
  Throws:
    `IOException`

### getWrappedInputSplit

    public InputSplit getWrappedInputSplit()

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `Writable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.